<div class="settings-container">
    <div class="settings-container-row-title">
        <h2>Manage users</h2>
    </div>
    <div class="settings-container-row">
        <table>
            <tr>
                <th>Username</th>
                <th>Role</th>
                <th>Options</th>
            </tr>
            <%= for user <- @users do %>
                <tr>
                    <td><%= user.username %></td>
                    <td><%= get_user_pill(user.role_id) %></td>
                    <td>
                        <a href="<%= Routes.settings_path(@conn, :edit_user, user.id) %>" class="span-user">Edit</a>
                        <a href="<%= Routes.settings_path(@conn, :change_password, user.id) %>" class="span-member">Change password</a>
                        <%= form_for @conn, Routes.settings_path(@conn, :delete_user, user.id), [method: :post, onsubmit: "return removeUser()", style: "display: inline;"], fn f -> %>
                        <%= submit "Remove", class: "span-admin" %>
                        <% end %>
                    </td>
                </tr>
            <% end %>
        </table>
        <div class="settings-container-row-buttons">
            <a href="<%= Routes.settings_path(@conn, :new_user) %>" class="span-user">Create user</a>
        </div>
    </div>
    <div class="settings-container-row-title">
        <h2>Remove configuration</h2>
    </div>
    <div class="settings-container-row">
        <%= form_for @conn, Routes.settings_path(@conn, :remove_configuration), [method: :post, onsubmit: "return removeConfig()"], fn f -> %>
            <%= submit "Remove", class: "settings-btn-error" %>
        <% end %>
    </div>
    <div class="settings-container-row-title">
        <h2>Upload config files</h2>
    </div>
    <div class="settings-container-row">
        <%= form_for @conn, Routes.settings_path(@conn, :load_configuration), [method: :post, multipart: true], fn f -> %>
            <div class="upload-btn-wrapper">
                <%= file_input f, :edge , class: ["d-none"], id: "edge-file"%>
                <label for="edge-file" class="settings-btn-success"><i class="fa fa-upload"></i> Edge File</label>
                <span id="edge-file-name">No file chosen</span>
            </div>

            <div class="upload-btn-wrapper">
                <%= file_input f, :lane , class: ["d-none"], id: "lane-file"%>
                <label for="lane-file" class="settings-btn-success"><i class="fa fa-upload"></i> Lane File</label>
                <span id="lane-file-name">No file chosen</span>
            </div>

            <div class="upload-btn-wrapper">
                <%= file_input f, :shape , class: ["d-none"], id: "shape-file"%>
                <label for="shape-file" class="settings-btn-success"><i class="fa fa-upload"></i> Shape File</label>
                <span id="shape-file-name">No file chosen</span>
            </div>

            <%= submit "Submit", class: "settings-btn-error" %>
        <% end %>
    </div>
</div>
<script>
    const edgeFileBtn = document.getElementById('edge-file');
    const edgeFileChosen = document.getElementById('edge-file-name');

    edgeFileBtn.addEventListener('change', function(){
        edgeFileChosen.textContent = this.files[0].name
    })

    const laneFileBtn = document.getElementById('lane-file');
    const laneFileChosen = document.getElementById('lane-file-name');

    laneFileBtn.addEventListener('change', function(){
        laneFileChosen.textContent = this.files[0].name
    })

    const shapeFileBtn = document.getElementById('shape-file');
    const shapeFileChosen = document.getElementById('shape-file-name');

    shapeFileBtn.addEventListener('change', function(){
        shapeFileChosen.textContent = this.files[0].name
    })

    function removeUser(){
        var response = confirm("Are you sure?");
        if (response){
            return true;
        }
        return false;
    }

    function removeConfig(){
        var response = confirm("Are you sure?");
        if (response){
            return true;
        }
        return false;
    }
</script>